[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.Remove

Remove a number of characters from the string

## Declaration

Source position: syshelph.inc line 148

`public function TStringHelper.Remove(`
`StartIndex: SizeInt`
`):string; overload; function TStringHelper.Remove(`
`StartIndex: SizeInt;`
`ACount: SizeInt`
`):string; overload;`

## Description

Remove removes ACount characters from the string, starting at (zero-based) index StartIndex. If ACount is omitted, all remaining characters are removed.

## See also

Delete |  | Delete elements (characters) from a string or dynamic array.
TStringHelper.Replace |  | Replace occurrences of one string with another.
TStringHelper.Insert |  | Insert a string at a given position